Plugin Name: Hustle
Author: Danae Millan (Incsub), Daniel Shepard (Incsub), Paul Kevin (Incsub), Leighton Sapir (Incsub)

Change Log:
----------------------------------------------------------------------

3.0.6.1 - 2018-12-12
----------------------------------------------------------------------
- Fix style conflict with WPMU Dev dashboard.
- Fix edge case php error on upgrade.

3.0.6 - 2018-12-10
----------------------------------------------------------------------
- Adjust the frontend layouts to fix several issues.
- Improve the way frontend layouts look in IE.
- Allow anonymizing specific IPs from tracked data.
- Fix minor UI and UX details in backend and frontend.
- Fix Mautic issue not allowing users to subscribe.
- Fix "Country" display conditon not working.
- Fix saved theme not showing in frontend.
- Remove the redirect to Hustle dashboard after activation.
- Create the database tables again after re-installing.
- Adjust the way custom fields are saved in the providers.
- Improve compatibility with Forminator.
- Add Privacy Policy suggestion text.
- Add notification when user can install Pro version.
- Allow retrieving more than 100 lists in Aweber.

3.0.5 - 2018-09-20
----------------------------------------------------------------------
- Allow users to unsubscribe from local lists.
- Allow adding providers as external plugins.
- Add import/export module functionality.
- Add duplicate module functionality.
- Add option to choose if the module should show up after subscription.
- Fix console error when updating custom form fields.
- Fix inline social sharing not displaying properly.
- Use embeds IDs instead of names as unique identifier.
- Make native social counters retrieve their info asynchronously.
- Fix MU installation not redirecting to Hustle Dashboard.
- Fix Slide-in "Test" status not behaving properly.
- Make embeds widgets follow the defined visibility rules.
- Allow using the same email twice when subscribing to Mailchimp.
- Switch to Mailchimp for Hustle's Free Opt-in subscription form.
- Fix opt-in form behavior with each provider.
- Fix iContact settings error.
- Fix Constant Contact settings error.
- Fix Sendgrid library conflict.
- Fix Custom fields behavior on some providers.
- Fix PHP error when using category conditions in multiple modules.
- Fix checkboxes and radios issue when the same embed is twice in the same page. 
- Fix various UI details in dashboard and frontend.
- Add "upgrade" link on plugins page for Free version.

3.0.4.2 - 2018-07-16
----------------------------------------------------------------------
- Fix PHP errors.

3.0.4.1 - 2018-07-11
----------------------------------------------------------------------
- Fix PHP errors.

3.0.4 - 2018-07-09
----------------------------------------------------------------------
- Add SendGrid and Zapier integrations.
- Add API share counters to Social Sharing modules.
- Add "Save draft" option when saving modules.
- Add filter to prevent Google fonts from loading.
- Show GDPR checkbox as required on form submission.
- Fix SendinBlue "Load more" button behaviour.
- Improve module appearance on fontend for IE.
- Fix "Continue" button behaviour on backend for IE.
- Show GDPR checkbox even if the main content is empty.
- Fix various UX issues on frontend and backend.
- Fix various styling issues on frontend and backend.
- Fix module's behaviours under certain display conditions.
- Fix "Floating in respect to CSS selector" setting on Social Share modules not saving.
- Improve compatibility with Forminator, Contact Form 7, WPBakery Page Builder, The Grid, and Upfront plugins, and with Bridge theme.
- Fix migration of social stats.
- Fix PHP notices when changing email provider to Infusionsoft.
- Improve alert behavior on module edit pages when navigating away.
- Improve email providers process of subscription and saving settings.
- Make Youtube video stop when closing popup.
- Fix stats from all sub-sites modules showing up on multisite.
- Fix connection issue with Hubspot.
- Serve resources from a consistent URL in GTmetrix.
- Fix Mautic URL saving issue.
- Improve the way modules are prioritized to show up.
- Fix module fields not showing in frontend when enabling and changing "Custom size".
- Fix "on click" trigger when no animation is set.
- Fix "After Content" display settings having different results after upgrade.
- Fix "exit intent" triggering when interacting with forms.
- Increase free version limitations.
- Add new "Upgrade" modal.

3.0.3 - 2018-05-28
----------------------------------------------------------------------
- Add GDPR frontend checkbox option to modules.

3.0.2 - 2018-03-05
----------------------------------------------------------------------
- Add MailerLite and iContact Integration.
- Update E-Newsletter integration to be consistent with other integrations.
- Fix various styling issues on frontend and backend.
- Fix minor backend UX issues.
- Fix an issue with ConstantContact only saving to the first email list.
- Fix homepage not obeying module display conditions when showing recent posts.
- Fix an issue with ConstantContact where redirecting after signing in brought
the user to the editing popups even when editing embeds or slide ins.
- Fix adblocker trigger from triggering even when no adblocker is present.
- Update 404 display condition behavior to showing on the 404 page or not rather than only displaying on 404 page and no other.
- Adjusted verbiage for After Slide-in is Closed description to avoid
confusion.
- Disable save button on continue press to avoid accidental multiple saves.
- Fix slide in and popup shortcode trigger not working since 3.0.
- Fix some PHP warnings.
- Improve Hustle frontend accessibility for social sharing.
- Fix Mad Mimi and Campaign Monitor email integrations.
- Only show SSL requirement notice for constant contact when necessary.

3.0.1 - 2018-02-22
----------------------------------------------------------------------
- Add legacy support for widgets and shortcodes.
- Fix issues with local email lists, tracking, and custom CSS not getting migrated properly.
- Fix various style issues.
- Fix issue with ActiveCampaign incorrectly showing duplicate error upon sign
up to a separate list.
- Fix inability to close out of the welcome message on dashboard.
- Fix Embeds local email list not downloading.
- Fix Object Caching issue with some hosts where settings appeared to not save.

3.0 - 2018-01-18
----------------------------------------------------------------------
- New UI Flow and Design
- New structure for Hustle modules (introducing Pop-ups, Slide-ins, Embeds,
and Social Sharing)
- Automatic migration from Hustle 2.x to Hustle 3.0

2.1.5.1 - 2017-08-22
----------------------------------------------------------------------
- Improved ConstantContact Integration.

2.1.5 - 2017-08-15
----------------------------------------------------------------------
- Improved HubSpot integration.
- Improved Mautic integration.
- Fixed Custom Content js errors on frontend.

2.1.4 - 2017-08-09
----------------------------------------------------------------------
- New HubSpot integration (static list).
- Improved ConstantContact integration.
- Improved InfusionSoft integration.
- Improved AWeber integration.
- Improved Mautic integration.
- Improved SendInBlue integration.
- Improved Opt-in when provider not set but uses "Save Emails to local list".
- Fixed Opt-in signup button not showing on some layouts.
- Fixed Custom Content front-end JavaScript errors.

2.1.3.2 - 2017-07-31
----------------------------------------------------------------------
- Improved compatibility with PHP 5.2 and 5.3.
- Improved the display for MailChimp Groups on frontend.

2.1.3.1 - 2017-07-24
----------------------------------------------------------------------
- Improved API Connection Security for Integrations

2.1.3 - 2017-07-10
----------------------------------------------------------------------
- New SendInBlue integration.
- Added "Load More" button for MailChimp lists.
- Fixed MailChimp integration issues.
- Fixed custom colors issues on social sharing admin wizard.
- Fixed media queries break custom css.

2.1.2 - 2017-05-31
----------------------------------------------------------------------
- Fixed Custom Content conflict with Page Builder by SiteOrigin.
- Fixed MailChimp integration issues.
- Fixed ActiveCampaign integration issues.

2.1.1 - 2017-05-23
----------------------------------------------------------------------
- Updated MailChimp integration and used their 3.0 API.
- Updated "show less than" display condition and now works even "tracking" is off.
- Updated listing page on each module to show shortcode on shortcode type.

- Fixed activating Hustle on Multisite re-directs to an error.
- Fixed IE styles on admin wizards.
- Fixed IE issues on admin wizards.
- Fixed conflict with Caldera Forms.
- Fixed Pop-up "on click" trigger does not do preventDefault.
- Fixed activating any plugin will redirect a Hustle user to Hustle.
- Fixed Social Sharing wizard style issues.
- Fixed Custom Content images not responsive.
- Fixed Opt-in able to create duplicate additional fields.
- Fixed IE issues when previewing Opt-in on admin.
- Fixed Social Sharing issue: disabling "click counter" still shows counter numbers.
- Fixed close button does not act as 'Never see this message again'.
- Fixed Pop-up scroll issue.

2.1 - 2017-04-27
----------------------------------------------------------------------
- New social sharing module.
- New mautic integration.
- New module dashboard for empty modules.
- New settings dashboard for empty modules.
- New toggle option for tracking views and conversion for each module.
- New error log list for opt-in module.
- New option to add new fields for opt-in module.
- New validation for opt-in submission.
- New option to edit opt-in submit button.
- New "after_content" preview type for custom content module.
- New settings link in plugin list.

- Fixed "Hide all slide in messages for user" option is not working.
- Fixed custom content widget/shortcode layout doesn't have styles.
- Fixed clicking on any field in slide-in opt-in closes it, can't enter information.
- Fixed using form submit setting "Refresh or Close" causes custom content slide-in to refresh endlessly.
- Fixed custom content module "custom css" not rendering on preview.
- Fixed popup show less than (display condition) not working.
- Fixed "NextGen Gallery" compatibility.
- Fixed "Beaver Builder" conflict.
- Fixed email service fields are not enabled/disabled correctly on opt-in module.
- Fixed IE issues.
- Fixed custom css issue with @media.
- Fixed custom content module not appearing on appearance/widget.
- Fixed "Embed Any Document" compatibility.
- Fixed "Contact Form 7" compatibility.
- Fixed html content is getting stripped on custom content module.
- Fixed Hustle not filtering by tag.
- Fixed custom content module "custom css" doesn't recognize html tags.

2.0.3.1 - 2017-03-16
----------------------------------------------------------------------
- Fix: Custom content slide-in not showing on frontend.

2.0.3 - 2017-03-15
----------------------------------------------------------------------
- Add: ConvertKit integration.
- Add: Custom post type support.
- Add: Auto-enable Opt-in shortcode and widget when creating new one
- Improved structure, events and performance when showing modals.
- Improved UI by using sprites instead of icon fonts.

- Fix: In a specific Country display condition is not working.
- Fix: Slide in Trigger shortcode button doesn't work.
- Fix: Page scrolled option on optin.
- Fix: Minify issue conflict with W3 Total Cache.
- Fix: MailChimp lists have a hover effect.
- Fix: Custom content form submission.
- Fix: Popup overflowed height.
- Fix: Never see again option behavior.
- Fix: Issues with Hustle on mobile.
- Fix: Extra content showing on hustle custom content.
- Fix: E-newsletter integration issues.
- Fix: Hustle breaks Backer Theme.
- Fix: On Opt-in listing, shortcode toggle not saved persistently.
- Fix: Unsaved content warning after saving individual creation steps.
- Fix: Youtube continues to play when popup is closed.

2.0.2 - 2017-03-01
----------------------------------------------------------------------
- Add: ActiveCampaign provider.
- Add: Opt-in success message control options.
- Add: Custom Content name checker.
- Improved Display Settings for all modules, hide condition labels if not enabled.
- Improved Dashboard responsive styles.
- Improved Dashboard Modules Overview Widget responsive styles.
- Improved Dashboard Welcome Back Widget responsive styles
- Improved Dashboard Stats Widget responsive styles

- Fix: Default overlay background not transparent on opt-in modules.
- Fix: The lines overlap chart on dashboard page.
- Fix: Border picking up the hover property from links. 
- Fix: No Way to Change Featured Image  
- Fix: Typo in Custom Content Display Setting panel
- Fix: Typo in Opt In Editor in test mode
- Fix: Initial welcome message should only be displayed once in dashboard page.
- Fix: Close button not working on New Welcome Dashboard
- Fix: Custom content popup triggers, the input number isn't working for "Time" trigger.
- Fix: Opt-in Wizard Custom CSS, styles are being applied regardless of toggle button status.
- Fix: Opt-in overlay mask background color doesn't applies correctly.
- Fix: Opt-in, prevent closing button from showing if opt-in displays "after content" or as "widget" or as "shortcode".
- Fix: Opt-ins successful message does not show if set to Auto Close.
- Fix: Opt-in some custom colors are not working.
- Fix: Opt-in, on wizard the wysiwyg editor is overlapping other options.

2.0.1 - 2017-02-08
----------------------------------------------------------------------
- Add: Consistent color assignment for modules in top 5 conversion graph.
- Changed: Top 5 conversion table is now sorted by conversions in the last 30 days.

----------------------------------------------------------------------
2.0.0 - 2017-02-02
- Add: Major redesign for better user experience.
- Add: New Custom Content module.
- Add: New Opt-in module wizard.
- Add: New Dashboard page.
- Add: New Settings page.
- Add: New top conversions table.
- Add: New top conversions graph.
- Add: Grouped color in palette customization.
- Add: Optional action button to custom URL in Custom Content module.
- Add: Opt-in module can be used as shortcode in Custom Content module.
- Add: Choices of auto responsive size or custom size for Custom Content.
- Add: Separated save button when creating or editing module.
- Add: Categories criteria in Display Conditions.
- Add: Tags criteria in Display Conditions.
- Add: Posts criteria in Display Conditions.
- Add: Pages criteria in Display Conditions.
- Add: Modules Overview in Dashboard.
- Improved module preview.
- Improved list of modules behavior.

- Fix: Pop up on exiting page.
- Fix: PHP fatal error in certain condition.
- Fix: PHP 5.3 compatibility.
- Fix: Does not accept emails with "-" in the domain.
- Fix: Email registration issue.
- Fix: Overlapping elements in IE11.
- Fix: 'close button acts as never seen again' not working.


----------------------------------------------------------------------
1.1.2 - 2016-11-03
----------------------------------------------------------------------
Add: Sync existing subscriptions in local collection to eNewsletter


1.1.1 - 2016-10-28
----------------------------------------------------------------------
Add: e-Newsletter integration
Fix: In and out animations for Slide-ins

1.1 - 2016-10-25
----------------------------------------------------------------------
Add: Local data collection feature
Add: Download local subscriptions data as CSV
Add: Infusionsoft integration
Add: Mad Mimi integration

Fix: Exit intent after scrolling the page
Fix: Popup success message not hiding if no out animation is added
Fix: Issue with title CSS selector
Fix: Message editor not working in some browser versions

1.0.2 - 2016-09-22
----------------------------------------------------------------------
Add: GetResponse integration
Add: Sendy integration
Add: New feature to trigger Pop Ups & Slide Ins on click
Add: New feature to trigger Pop Ups & Slide Ins on AdBlock detection
Add: New feature to trigger Pop Ups & Slide Ins on User Leave Intent
Add: Redesigned Trigger interface for Pop Ups & Slide Ins
Add: Form input animation control options

Fix: Pop Up and Slide In closing-opening animations


1.0.1 - 2016-09-08
----------------------------------------------------------------------
- Add: Constant Contact integration
- Add: MailChimp Interest Group integration
- Add: Image style options
- Add: Style amendments and field icon animations

- Fix: Conditional adding of templates in frontend
- Fix: After content not working in Upfront
- Fix: Styling issues in admin and frontend


1.0 - 2016-08-16
----------------------------------------------------------------------
- First public release
